This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 819275 - gnome-system-log fails to start
gnome-system-log fails to start
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
17
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-06 04:03 EDT by Mark Harig
Modified: 2013-08-01 02:32 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 02:32:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mark Harig 2012-05-06 04:03:15 EDT
Description of problem:
When gnome-system-log is selected from the Applications/System Tools sub-menu (item 'Log File Viewer'), it fails to start.  Likewise, if 'gnome-system-log' is entered into the 'Run Application' field after pressing Alt-F2, then the log viewer is not displayed.  If 'gnome-system-log' is entered at a shell prompt from a root log in, then the following error message is displayed in the terminal window:

(logview:23644): gnome-system-log-CRITICAL **: Unable to parse arguments: Cannot open display:

However, if 'gnome-system-log' is entered at a shell prompt of an ordinary, non-root user, then a dialog window is displayed asking for authentication, and the Log Viewer window is displayed as expected.

Version-Release number of selected component (if applicable):
gnome-system-log-3.4.1-2.fc17.x86_64

How reproducible:
Every time that gnome-system-log is started using one of the three methods above.  Rebooting does not help.

Steps to Reproduce:
1. See the above description of the problem.
2.
3.
  
Actual results:
gnome-system-log fails to start.

Expected results:
The Log Viewer window should be displayed.

Additional info:
Comment 1 Matthias Clasen 2012-05-09 20:23:52 EDT
What I get in the shell is something else:

Refusing to render service to dead parents.
Comment 2 Matthias Clasen 2012-05-09 21:30:09 EDT
Tracked this down to the fact that gnome-shell double-forks when launching apps.
Patch at https://bugzilla.gnome.org/show_bug.cgi?id=675789
Comment 3 Adam Williamson 2012-05-24 13:57:21 EDT
I can reproduce the problem with alt-f2 in Shell and from the menus in fallback mode, but not from the overview in Shell.
Comment 4 Adam Williamson 2012-05-24 14:01:05 EDT
mclasen: I suspect the bug initially reported - it fails to run from the menus in fallback mode - is not the same as the bug you refer to upstream...
Comment 5 Matthias Clasen 2012-05-24 21:14:31 EDT
I don't know, I haven't tried in fallback mode. Possible that gnome-panel has the same issue when launching applications.
Comment 6 Mark Harig 2012-05-25 23:24:55 EDT
I did not think to report it, but the problem was in fallback mode.  I am not seeing it in "normal" (non-fallback) mode for Gnome.
Comment 7 Didact 2012-07-12 00:03:40 EDT
I am experiencing the same issue in fallback mode.  It doesn't prompt for authentication like other system apps.
Comment 8 Didact 2012-07-12 00:12:16 EDT
in Fallback mode I was able to su at a terminal, NOT su - then run gnome-system-log and it worked...
Comment 9 Fedora End Of Life 2013-07-03 21:45:06 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2013-08-01 02:32:38 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.